package com.gyee.runeconomy.service.auto;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gyee.runeconomy.model.auto.ProBasicProjectPlan;

import java.util.List;

/**
 * <p>
 * 工程计划表 服务类
 * </p>
 *
 * @author shilin
 * @since 2022-10-21
 */
public interface IProBasicProjectPlanService extends IService<ProBasicProjectPlan> {
    public List<ProBasicProjectPlan> getProjectPlanList(String year, String pageNum, String pageSize);

    List<ProBasicProjectPlan> getList(String year);

    List<ProBasicProjectPlan> getmonthList(String month);

    List<ProBasicProjectPlan> getmonthList1(String month, int currentyear);

    IPage<ProBasicProjectPlan> List(String id, String projectId, String windpowerstationId, String year, String month, String modificationTime, String pageNum, String pageSize);
}
